VERSION 5.00
Object = "{CDE57A40-8B86-11D0-B3C6-00A0C90AEA82}#1.0#0"; "MSDATGRD.OCX"
Begin VB.Form Form1 
   Caption         =   "ADO Sample"
   ClientHeight    =   4260
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   7290
   Icon            =   "Form1.frx":0000
   LinkTopic       =   "Form1"
   ScaleHeight     =   4260
   ScaleWidth      =   7290
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton cmdLoad 
      Caption         =   "Load"
      Height          =   330
      Left            =   6345
      TabIndex        =   5
      Top             =   45
      Width           =   915
   End
   Begin VB.ComboBox cmbTables 
      Height          =   315
      Left            =   2970
      Sorted          =   -1  'True
      Style           =   2  'Dropdown List
      TabIndex        =   4
      Top             =   45
      Width           =   3345
   End
   Begin VB.CommandButton cmdOpen 
      Caption         =   "Connect"
      Height          =   330
      Left            =   2025
      TabIndex        =   3
      Top             =   45
      Width           =   915
   End
   Begin VB.CommandButton cmdReLoad 
      Caption         =   "Reload"
      Height          =   330
      Left            =   1080
      TabIndex        =   2
      Top             =   45
      Width           =   915
   End
   Begin VB.CommandButton cmdDelete 
      Caption         =   "Delete"
      Height          =   330
      Left            =   135
      TabIndex        =   1
      Top             =   45
      Width           =   915
   End
   Begin MSDataGridLib.DataGrid DataGrid1 
      Height          =   2265
      Left            =   90
      TabIndex        =   0
      Top             =   450
      Width           =   3840
      _ExtentX        =   6773
      _ExtentY        =   3995
      _Version        =   393216
      AllowUpdate     =   0   'False
      HeadLines       =   1
      RowHeight       =   15
      BeginProperty HeadFont {0BE35203-8F91-11CE-9DE3-00AA004BB851} 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   204
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      BeginProperty Font {0BE35203-8F91-11CE-9DE3-00AA004BB851} 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   204
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ColumnCount     =   2
      BeginProperty Column00 
         DataField       =   ""
         Caption         =   ""
         BeginProperty DataFormat {6D835690-900B-11D0-9484-00A0C91110ED} 
            Type            =   0
            Format          =   ""
            HaveTrueFalseNull=   0
            FirstDayOfWeek  =   0
            FirstWeekOfYear =   0
            LCID            =   1049
            SubFormatType   =   0
         EndProperty
      EndProperty
      BeginProperty Column01 
         DataField       =   ""
         Caption         =   ""
         BeginProperty DataFormat {6D835690-900B-11D0-9484-00A0C91110ED} 
            Type            =   0
            Format          =   ""
            HaveTrueFalseNull=   0
            FirstDayOfWeek  =   0
            FirstWeekOfYear =   0
            LCID            =   1049
            SubFormatType   =   0
         EndProperty
      EndProperty
      SplitCount      =   1
      BeginProperty Split0 
         BeginProperty Column00 
         EndProperty
         BeginProperty Column01 
         EndProperty
      EndProperty
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
Dim cn As ADODB.Connection
Dim rs As ADODB.Recordset

Private Const defConnString = "Provider=SQLOLEDB.1;Data Source=KONST\KONSTSQL;User ID=sa;Password=;Initial Catalog=test;"

Private Sub cmdDelete_Click()

On Error GoTo Err_debug

    If Me.cmbTables.ListIndex = -1 Then Exit Sub

    cn.Execute "DELETE FROM [" & Me.cmbTables.Text & "]", False
    rs.Requery

lb_out:
   Exit Sub

Err_debug:
    MsgBox Err.Number & ": " & Err.Description
    Resume lb_out
    
End Sub

Private Sub cmdLoad_Click()
Dim SQL As String

On Error GoTo Err_debug

On Error Resume Next
    SQL = "SELECT * INTO [" & Me.cmbTables.Text & "_1] FROM [" & Me.cmbTables.Text & "]"
    cn.Execute SQL, False
    
    
    Set rs = New ADODB.Recordset
    rs.CursorLocation = adUseClient
    Set rs.ActiveConnection = cn
    
    rs.Open "SELECT * FROM [" & Me.cmbTables.Text & "]", , adOpenStatic, adLockReadOnly, adCmdText

    Set Me.DataGrid1.DataSource = rs


    Me.cmdDelete.Enabled = True
    Me.cmdReLoad.Enabled = True

lb_out:
   Exit Sub

Err_debug:
    Me.cmdDelete.Enabled = False
    Me.cmdReLoad.Enabled = False
    
    MsgBox Err.Number & ": " & Err.Description
    Resume lb_out

End Sub

Private Sub cmdOpen_Click()
    
Dim dn As MSDASC.DataLinks

    Set cn = New ADODB.Connection
    cn.CursorLocation = adUseClient
    cn.ConnectionString = defConnString
    
    Set dn = New MSDASC.DataLinks
    If dn.PromptEdit(cn) Then
        
        cn.Open
    
        Me.LoadTables
        
        Me.cmdDelete.Enabled = True
        Me.cmdReLoad.Enabled = True
        Me.cmdLoad.Enabled = True
    
    Else
        Me.cmdDelete.Enabled = False
        Me.cmdReLoad.Enabled = False
        Me.cmdLoad.Enabled = False
        Me.cmbTables.Clear
        Set rs = Nothing
        Set Me.DataGrid1.DataSource = Nothing
    End If
    
End Sub

Friend Sub LoadTables()
Dim rst As ADODB.Recordset

    If cn Is Nothing Then Exit Sub
    If cn.State = 0 Then Exit Sub
    
    Screen.MousePointer = 11
    
    Me.cmbTables.Clear
    
    Set rst = cn.OpenSchema(adSchemaTables)
    Do While Not rst.EOF
        Me.cmbTables.AddItem rst!TABLE_NAME
        rst.MoveNext
    Loop
    Set rst = Nothing
    Screen.MousePointer = 0

End Sub

Private Sub cmdReLoad_Click()

On Error GoTo Err_debug

    If Me.cmbTables.ListIndex = -1 Then Exit Sub

    cn.Execute "INSERT INTO [" & Me.cmbTables.Text & "] SELECT * FROM [" & Me.cmbTables.Text & "_1]", False
    rs.Requery


lb_out:
   Exit Sub

Err_debug:
    MsgBox Err.Number & ": " & Err.Description
    Resume lb_out

End Sub

Private Sub Form_Load()
    Me.cmdDelete.Enabled = False
    Me.cmdReLoad.Enabled = False
    Me.cmdLoad.Enabled = False

End Sub

Private Sub Form_Resize()
On Error Resume Next

    Me.DataGrid1.Move 0, Me.DataGrid1.Top, Me.ScaleWidth, Me.ScaleHeight - Me.DataGrid1.Top
End Sub

Private Sub Form_Unload(Cancel As Integer)
    Set rs = Nothing
    Set cn = Nothing
End Sub
